Tenants
A tenant is a unique organization that has its own set of users and data. Each tenant is isolated from other tenants, ensuring that data and resources are kept separate.
Users are unable to create or delete tenants.
Tenant object
{
"id": "01988ba3-cca3-7b10-be2d-90703437e4dd",
"owner": "0198080b-cb61-7e1d-98c3-83f2u44894f2",
"domain": "example-organization",
"name": "Example Organization",
"meta": {
"brand_color_background": "#57a8d6",
"brand_color_foreground": "#ffffff",
"brand_logo": "logo-example-organization.png",
"currency_code": "USD",
"dates_date_opened": "2025-08-08",
"dates_fiscal_year_start_day": 1,
"dates_fiscal_year_start_month": 1
},
"enabled": true,
"created_at": "2025-08-08 21:43:44",
"updated_at": "2025-11-08 08:18:37"
}
Fields
- tenantrequired readonly stringUnique ID of the tenant.
- ownerrequired stringUnique ID of the owner. This can only be updated by the current owner.
- domainrequired readonly stringUnique URL-friendly domain of the tenant.
- namerequired stringName of the tenant.
- metanullable objectAdditional metadata about the tenant. The following keys are used by Bloom's web app:
brand_color_background(required): Hexadecimal color code for the tenant's background color.brand_color_foreground(required): Hexadecimal color code for the tenant's foreground color.brand_logo: File name of the tenant's logo.currency_code(required): ISO 4217 currency code for the tenant's currency.dates_date_opened(required): Date the tenant was opened inYYYY-MM-DDformat.dates_date_accredited: Date the tenant was accredited inYYYY-MM-DDformat.dates_fiscal_year_start_day(required): Day of the month the tenant's fiscal year starts (1-31).dates_fiscal_year_start_month(required): Month the tenant's fiscal year starts (1-12).
- enabledrequired readonly booleanWhether the tenant is enabled or disabled.
- created_atrequired readonly stringUTC timestamp of when the record was created.
- updated_atnullable readonly stringUTC timestamp of when the record was last updated.
List tenants
GET /tenants
Required permissions
Users can only read tenants they own or belong to.
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | An associative array of tenant objects | |
| 400 | Bad Request | Invalid parameters in the request query | Error object |
Read a tenant
GET /tenants/{id}/
Required permissions
Users can only read tenants they own or belong to.
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | Tenant object | |
| 400 | Bad Request | Invalid parameters in the request query | Error object |
| 404 | Not Found | Tenant ID not found | Error object |
Update a tenant
PATCH /tenants/{id}
The request body must include parts of a tenant object.
Required permissions
tenant:update
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | Updated tenant record | Tenant object |
| 400 | Bad Request | Invalid or missing field(s) | Error object |
| 404 | Not Found | Tenant ID not found | Error object |
Read a tenant's subscription
A tenant's subscription contains information about the tenant's allowed features, number of locations, and storage.
GET /tenants/{id}/subscription
Required permissions
Users can only read tenant subscriptions to tenants they own or belong to.
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | Tenant subscription object | |
| 400 | Bad Request | Invalid parameters in the request query | Error object |
| 404 | Not Found | Tenant ID not found | Error object |
Tenant subscription object
{
"tenant": "01988bb8-1cfb-7c87-9326-93op0349288e",
"features": [
"activities",
"attendance",
"bookmarks",
"communication",
"contacts",
"earnings",
"file_shares",
"files",
"folders",
"goal_progress",
"goals",
"locations",
"member_applications",
"members",
"notifications",
"options",
"positions",
"revenues",
"staff",
"tenant_invitations",
"tenant_roles",
"tenant_user_meta",
"tracking"
],
"locations": 2,
"storage": {
"bytes_allowed": 2000000000,
"bytes_used": 1909578
}
}
Fields
- tenantrequired readonly stringUnique ID of the tenant.
- featuresrequired readonly arrayList of features enabled for the tenant.
- locationsrequired readonly integerNumber of locations allowed for the tenant.
- storage.bytes_allowedrequired readonly integerNumber of bytes allowed for the tenant's file storage.
- storage.bytes_usedrequired readonly integerNumber of bytes used by the tenant's file storage.
Was this page helpful?